gwibber crashes on startup with application default-font-size set to non-integer (eg. 10.5pt)

Reported by sbas on 2010-03-24
114
This bug affects 22 people
Affects Status Importance Assigned to Milestone
Gwibber
Undecided
Ken VanDine
gwibber (Ubuntu)
Medium
Ken VanDine

Bug Description

Binary package hint: gwibber

this happens everytime i launch broadcast from indicator applet

ProblemType: Crash
Architecture: i386
CheckboxSubmission: 2382617a44f4ba6a275ae001d96d4ebe
CheckboxSystem: 669b662da410063cc918e0f60cf6cddf
Date: Wed Mar 24 22:07:43 2010
DistroRelease: Ubuntu 10.04
ExecutablePath: /usr/bin/gwibber
InterpreterPath: /usr/bin/python2.6
NonfreeKernelModules: nvidia
Package: gwibber 2.29.92.1-0ubuntu1
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/bin/gwibber
ProcEnviron:
 SHELL=/bin/bash
 LANG=it_IT.UTF-8
ProcVersionSignature: Ubuntu 2.6.32-17.26-generic 2.6.32.10+drm33.1
PythonArgs: ['/usr/bin/gwibber']
SourcePackage: gwibber
Title: gwibber crashed with ValueError in render()
Uname: Linux 2.6.32-17-generic i686
UserGroups: adm admin audio cdrom dialout fuse lpadmin plugdev sambashare video

Related branches

lp:~inash/gwibber/gwibber-425929
Rejected for merging into lp:gwibber
Robert Bruce Park: Disapprove on 2013-03-28
Bilal Akhtar (community): Approve on 2010-07-09
gwibber-committers: Pending requested 2010-04-04
sbas (sbas) wrote :
visibility: private → public
tags: removed: need-duplicate-check
sbas (sbas) wrote :

this is what i see trying to launch gwibber from terminal:

** (gwibber:23324): WARNING **: Trying to register gtype 'WnckWindowState' as enum when in fact it is of type 'GFlags'

** (gwibber:23324): WARNING **: Trying to register gtype 'WnckWindowActions' as enum when in fact it is of type 'GFlags'

** (gwibber:23324): WARNING **: Trying to register gtype 'WnckWindowMoveResizeMask' as enum when in fact it is of type 'GFlags'
Updating...
Traceback (most recent call last):
  File "/usr/bin/gwibber", line 67, in <module>
    client.Client()
  File "/usr/lib/python2.6/dist-packages/gwibber/client.py", line 441, in __init__
    self.w = GwibberClient()
  File "/usr/lib/python2.6/dist-packages/gwibber/client.py", line 53, in __init__
    self.setup_ui()
  File "/usr/lib/python2.6/dist-packages/gwibber/client.py", line 100, in setup_ui
    self.stream_view = view_class(self.model)
  File "/usr/lib/python2.6/dist-packages/gwibber/gwui.py", line 311, in __init__
    self.navigation.render()
  File "/usr/lib/python2.6/dist-packages/gwibber/gwui.py", line 282, in render
    small_icons=self.small_icons)
  File "/usr/lib/python2.6/dist-packages/gwibber/gwui.py", line 240, in render
    self.web_settings.set_property("default-font-size", int(font_size))
ValueError: invalid literal for int() with base 10: '8.599609375'

sbas (sbas) wrote :

same problem at work on another pc.
i upgraded both my laptop and this pc from 9.10 to 10.04 alpha 3. no fresh install.

Duncan Lock (dunc) wrote :

When I launch gwibber from the terminal I get this:

** (gwibber:3372): WARNING **: Trying to register gtype 'WnckWindowState' as enum when in fact it is of type 'GFlags'

** (gwibber:3372): WARNING **: Trying to register gtype 'WnckWindowActions' as enum when in fact it is of type 'GFlags'

** (gwibber:3372): WARNING **: Trying to register gtype 'WnckWindowMoveResizeMask' as enum when in fact it is of type 'GFlags'
Updating...
Traceback (most recent call last):
  File "/usr/bin/gwibber", line 67, in <module>
    client.Client()
  File "/usr/lib/python2.6/dist-packages/gwibber/client.py", line 447, in __init__
    self.w = GwibberClient()
  File "/usr/lib/python2.6/dist-packages/gwibber/client.py", line 58, in __init__
    self.setup_ui()
  File "/usr/lib/python2.6/dist-packages/gwibber/client.py", line 98, in setup_ui
    self.stream_view = view_class(self.model)
  File "/usr/lib/python2.6/dist-packages/gwibber/gwui.py", line 313, in __init__
    self.navigation.render()
  File "/usr/lib/python2.6/dist-packages/gwibber/gwui.py", line 282, in render
    small_icons=self.small_icons)
  File "/usr/lib/python2.6/dist-packages/gwibber/gwui.py", line 240, in render
    self.web_settings.set_property("default-font-size", int(font_size))
ValueError: invalid literal for int() with base 10: '10.5'

When launched form the Applications menu or the Message menu I get an apport crash.

I'm using the latest Lucid (Linux duncan-desktop 2.6.32-18-generic #27-Ubuntu SMP Fri Mar 26 21:13:44 UTC 2010 x86_64 GNU/Linux) with the latest lucid build of gwibber (2.29.94-0ubuntu1, not the nightly ppa).

sbas (sbas) wrote :

same here after updating this morning:

antonio@antonio-desktop:~$ gwibber

** (gwibber:3146): WARNING **: Trying to register gtype 'WnckWindowState' as enum when in fact it is of type 'GFlags'

** (gwibber:3146): WARNING **: Trying to register gtype 'WnckWindowActions' as enum when in fact it is of type 'GFlags'

** (gwibber:3146): WARNING **: Trying to register gtype 'WnckWindowMoveResizeMask' as enum when in fact it is of type 'GFlags'
Removing stale, deceptive pid file.
Apache CouchDB has started, time to relax.
Browse your desktop CouchDB at file:///home/antonio/.local/share/desktop-couch/couchdb.html
No dbus monitor yet
Updating...
Traceback (most recent call last):
  File "/usr/bin/gwibber", line 67, in <module>
    client.Client()
  File "/usr/lib/python2.6/dist-packages/gwibber/client.py", line 447, in __init__
    self.w = GwibberClient()
  File "/usr/lib/python2.6/dist-packages/gwibber/client.py", line 58, in __init__
    self.setup_ui()
  File "/usr/lib/python2.6/dist-packages/gwibber/client.py", line 98, in setup_ui
    self.stream_view = view_class(self.model)
  File "/usr/lib/python2.6/dist-packages/gwibber/gwui.py", line 313, in __init__
    self.navigation.render()
  File "/usr/lib/python2.6/dist-packages/gwibber/gwui.py", line 282, in render
    small_icons=self.small_icons)
  File "/usr/lib/python2.6/dist-packages/gwibber/gwui.py", line 240, in render
    self.web_settings.set_property("default-font-size", int(font_size))
ValueError: invalid literal for int() with base 10: '8.599609375'

I'm using the latest lucid update: Linux antonio-desktop 2.6.32-19-generic #28-Ubuntu SMP Wed Mar 31 17:46:20 UTC 2010 i686 GNU/Linux

Duncan Lock (dunc) wrote :

I've now switched to the nightlies (currently 2.31.1~bzr706-0ubuntu1~daily1) and I'm still having this problem. I get exactly the same console output as in #4 and gwibber still won't start.

Hmmm... figured it out, duh. Gwibber won't start with a non-integer default application font size, like the error says. Mine was intentionally set to 10.5 point in System -> Preferences -> Fonts -> Application Font. sbas's is set to '8.599609375' (huh? Where did you get that value from?). If I set mine to '10', Gwibber starts ok - sbas, could you try changing yours to '9' and seeing if that fixes it for you too?

I'm going to re-title this bug to reflect the actual cause.

summary: - gwibber crashed with ValueError in render()
+ gwibber crashes on startup with system default-font-size set to 10.5pt
sbas (sbas) wrote :

yes, duncan, gwibber works setting application font size to an integer. i changed the value from 8.6 to 8 and, yes, it works.
8.599609375 is 8.6 :)

sbas (sbas) on 2010-04-04
summary: - gwibber crashes on startup with system default-font-size set to 10.5pt
+ gwibber crashes on startup with system default-font-size set to non-
+ integer (eg. 10.5pt)
Kamus (kamus) on 2010-04-06
Changed in gwibber (Ubuntu):
importance: Undecided → Medium

Thanks for taking time to report this bug. This particular bug has already been reported but feel free to report any other bugs you may find

Omer Akram (om26er) wrote :

oops wrong bug.

Inash Zubair (inash) wrote :

This is definitely a duplicate of #425929. I was hit with the same problem as sbas as I keep my application font size same as sbas's. I've proposed a possible fix for it and have proposed for merging. It's just a one liner. If you open the file /usr/lib/python2.6/dist-packages/gwibber/gwui.py and search for:

self.web_settings.set_property("default-font-size", int(font_size))

which comes under WebUi.render method and change it to:

self.web_settings.set_property("default-font-size", int(float(font_size)))

will fix the problem for you.

sbas (sbas) wrote :

thanks Inash, it worked :)

Kamus (kamus) wrote :

There is a lot of people affected and I have checked the latest stable version of gwibber and exact line that belongs to gwui.py has not been changed yet.

Changed in gwibber (Ubuntu):
status: New → Confirmed
Inash Zubair (inash) wrote :

Hopefully the change will be merged soon.

It's specifically "Application Font". I have them all set non-integral, but it works when I set that one from 8.25 to 8.

sbas (sbas) on 2010-05-09
summary: - gwibber crashes on startup with system default-font-size set to non-
- integer (eg. 10.5pt)
+ gwibber crashes on startup with application default-font-size set to
+ non-integer (eg. 10.5pt)
Omer Akram (om26er) wrote :

Please read comment#11 it should fix the problem

sbas (sbas) wrote :

thanks Omer, as i said in comment 12, it fixes the problem.

Omer Akram (om26er) wrote :

Ken, can you please review this branch... its a one line fixer.

Changed in gwibber (Ubuntu):
assignee: nobody → Ken VanDine (ken-vandine)
Inash Zubair (inash) on 2010-05-09
Changed in gwibber:
assignee: nobody → Ken VanDine (ken-vandine)
status: New → Confirmed
Martin Pool (mbp) wrote :

tested branch ready for merge here:

Caracuri (caracuri) wrote :

can be fix converting self.web_settings.set_property("default-font-size", int(font_size)) into eval?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers